org.openmuc.openiec61850

## Class BdaTriggerConditions

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString
        - - org.openmuc.openiec61850.BdaTriggerConditions

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaTriggerConditions
    extends BdaBitString

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaTriggerConditions(ObjectReference objectReference, Fc fc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaTriggerConditions` `copy()` Returns a copy of model node with all of its children.
`boolean` `isDataChange()`
`boolean` `isDataUpdate()`
`boolean` `isGeneralInterrogation()`
`boolean` `isIntegrity()`
`boolean` `isQualityChange()`
`void` `setDataChange(boolean dataChange)`
`void` `setDataUpdate(boolean dataUpdate)`
`void` `setDefault()` Initializes BIT_STRING with all zeros
`void` `setGeneralInterrogation(boolean generalInterrogation)`
`void` `setIntegrity(boolean integrity)`
`void` `setQualityChange(boolean qualityChange)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BdaBitString

`getMaxNumBits, getValue, getValueString, setValue, setValueFrom`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaTriggerConditions

    public BdaTriggerConditions(ObjectReference objectReference,
                                Fc fc)

### Method Detail

#### setDefault

    public void setDefault()

Description copied from class: `BdaBitString`
Initializes BIT_STRING with all zeros

Overrides:
  `setDefault` in class `BdaBitString`

#### copy

    public BdaTriggerConditions copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### isDataChange

    public boolean isDataChange()

#### isQualityChange

    public boolean isQualityChange()

#### isDataUpdate

    public boolean isDataUpdate()

#### isIntegrity

    public boolean isIntegrity()

#### isGeneralInterrogation

    public boolean isGeneralInterrogation()

#### setDataChange

    public void setDataChange(boolean dataChange)

#### setQualityChange

    public void setQualityChange(boolean qualityChange)

#### setDataUpdate

    public void setDataUpdate(boolean dataUpdate)

#### setIntegrity

    public void setIntegrity(boolean integrity)

#### setGeneralInterrogation

    public void setGeneralInterrogation(boolean generalInterrogation)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BdaBitString`